Package org.pushingpixels.substance.flamingo.utils

# Class SubstanceDisabledResizableIcon

java.lang.Object
org.pushingpixels.substance.flamingo.utils.SubstanceDisabledResizableIcon

All Implemented Interfaces:
  `Icon`, `org.pushingpixels.flamingo.api.common.icon.ResizableIcon`

public class SubstanceDisabledResizableIcon extends Object implements org.pushingpixels.flamingo.api.common.icon.ResizableIcon
Implementation of a resizable icon of disabled controls based on the current Substance skin.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.pushingpixels.substance.internal.utils.LazyResettableHashMap<BufferedImage>`
`cachedImages`
Image cache to speed up rendering.
`protected org.pushingpixels.flamingo.api.common.icon.ResizableIcon`
`delegate`
The main (pre-filtered) icon.

## Constructor Summary

Constructors
Constructor
Description
`SubstanceDisabledResizableIcon(org.pushingpixels.flamingo.api.common.icon.ResizableIcon delegate)`
Creates a new filtered icon.

## Method Summary

Modifier and Type
Method
Description
`int`
`getIconHeight()`
`int`
`getIconWidth()`
`void`
`paintIcon(Component c, Graphics g, int x, int y)`
`void`
`setDimension(Dimension newDimension)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### cachedImages

protected org.pushingpixels.substance.internal.utils.LazyResettableHashMap<BufferedImage> cachedImages
Image cache to speed up rendering.

### delegate

protected org.pushingpixels.flamingo.api.common.icon.ResizableIcon delegate
The main (pre-filtered) icon.

## Constructor Details

### SubstanceDisabledResizableIcon

public SubstanceDisabledResizableIcon(org.pushingpixels.flamingo.api.common.icon.ResizableIcon delegate)
Creates a new filtered icon.

Parameters:
  `delegate` - The main (pre-filtered) icon.

## Method Details

### getIconHeight

public int getIconHeight()

Specified by:
  `getIconHeight` in interface `Icon`

### getIconWidth

public int getIconWidth()

Specified by:
  `getIconWidth` in interface `Icon`

### setDimension

public void setDimension(Dimension newDimension)

Specified by:
  `setDimension` in interface `org.pushingpixels.flamingo.api.common.icon.ResizableIcon`

### paintIcon

public void paintIcon(Component c, Graphics g, int x, int y)

Specified by:
  `paintIcon` in interface `Icon`